Merge pull request #4009 from wallabag/fix/check-git-directory

Check if .git directory exist before making the update
This commit is contained in:
Jérémy Benoist 2019-06-17 08:19:16 +02:00 committed by GitHub
commit f981d1d732
No known key found for this signature in database
GPG Key ID: 4AEE18F83AFDEB23
2 changed files with 7 additions and 1 deletions

View File

@ -1,6 +1,6 @@
#! /usr/bin/env bash
# File used to check dependencies
# Check for composer
if [ ! -f composer.phar ]; then
echo "composer.phar not found, we'll see if composer is installed globally."
command -v composer >/dev/null 2>&1 || { echo >&2 "wallabag requires composer but it's not installed (see http://doc.wallabag.org/en/master/user/installation.html). Aborting."; exit 1; }

View File

@ -37,6 +37,12 @@ fi
. "$REQUIRE_FILE"
# Check for wallabag .git folder
if [ ! -d .git ]; then
echo "Can not update because wallabag wasn't installed using git (see https://doc.wallabag.org/en/admin/upgrade.html#upgrade-on-a-shared-hosting). Aborting.";
exit 2;
fi
rm -rf var/cache/*
git fetch origin
git fetch --tags